import { Component } from '@a11d/lit';
import { type MaterialIcon } from './index.js';
export declare const enum IconVariant {
    Filled = "filled",
    Outlined = "outlined",
    Sharp = "sharp",
    Rounded = "rounded"
}
/**
 * @attr variant - The variant of the icon tied to a specific font.
 * @attr icon - The icon to display.
 */
export declare class Icon extends Component {
    static defaultVariant: IconVariant;
    static readonly fontsByVariant: Map<IconVariant, {
        name: string;
        url: string;
    }>;
    private static readonly fontStyleElement;
    private static readonly fontUrls;
    private static get;
    private static ensureAvailable;
    variant: IconVariant;
    icon?: MaterialIcon;
    static get styles(): import("@a11d/lit").CSSResult;
    protected get template(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'mo-icon': Icon;
    }
}
//# sourceMappingURL=Icon.d.ts.map